# Info-manager-proxy

## Getting Started

### Dependencies installieren

```
go mod download
```

```
go install \
    github.com/grpc-ecosystem/grpc-gateway/v2/protoc-gen-grpc-gateway \
    github.com/grpc-ecosystem/grpc-gateway/v2/protoc-gen-openapiv2 \
    google.golang.org/protobuf/cmd/protoc-gen-go \
    google.golang.org/grpc/cmd/protoc-gen-go-grpc
```

### Buf installieren

https://github.com/bufbuild/buf?tab=readme-ov-file

### Protobuf-Code generieren

```
buf generate
```

### Anwendung starten

```
go run cmd/info-manager-proxy/main.go
```

## Config

[Config-Datei](./config/config.yml)

```
server:
  port: Port des HTTP Servers (int)
grpc:
  mock: lokalen gRPC Server mocken (bool)
  url: URL des Ziel-gRPC-Servers im host:port Format (string)
logging:
  level: "ERROR" | "WARN" | "INFO" | "DEBUG"
```

### Releasing

Diese Schritte ausführen:

* Master-Branch auschecken
* Master-Branch updaten
* Release-Branch auschecken
* Release-Branch updaten
* Master in den Release-Branch mergen - noch nicht pushen!
* Die Version von 'var version' in cmd/info-mamager-proxy/main.go "vX.X.X-beta.x" auf "vX.X.X" ändern
* Commit erstellen: "release version X.X.X"
* Release Branch pushen
* Tag "X.X.X" erstellen: git tag "X.X.X"
* tag pushen: git push origin X.X.X
* Master auschecken
* Release-Branch in den Master mergen nicht pushen!
* Die Version von 'var version' in cmd/info-manager-proxy/main.go "vX.X.X" auf "vX.X.X-beta.x" ändern
* Master Branch pushen